Deployments.ai Docs
Security

Revoke a SCIM bearer token

DELETE /v1/directory/tokens/{id} · SDK revokeDirectoryToken · CLI deployments directory token revoke

DELETE
/v1/directory/tokens/{id}

Requires members:write. A suspended organization can still call it.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Response Body

DirectoryResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
defaultRole*string
Value in"member""viewer"
scimBaseUrl*string
tokens*array<>
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
curl -X DELETE "https://example.com/v1/directory/tokens/string" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string"
{  "createdAt": "2019-08-24T14:15:22Z",  "defaultRole": "member",  "scimBaseUrl": "string",  "tokens": [    {      "createdAt": "2019-08-24T14:15:22Z",      "createdBy": "string",      "id": "string",      "tokenPrefix": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z"}